<?xml version="1.0" encoding="UTF-8" ?>
<!-- _lcid="1033" _version="" -->
<!-- _LocalBinding -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable name="xsltPath" select="substring-before(substring-after(/processing-instruction()[name()='xml-stylesheet'], 'href=&quot;'), 'SMARTARTGRAPHICSLOG.XSLT')" />
	<xsl:template match="entry">
		<xsl:element name="tr">
			<xsl:choose>
				<xsl:when test="position() mod 2">
					<xsl:attribute name="bgColor">palegreen</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="bgColor">white</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
			<td bgColor="white">
				<xsl:element name="img">
					<xsl:attribute name="src">
						<xsl:choose>
							<xsl:when test="sev='err'">
								<xsl:value-of select="concat($xsltPath, 'ERR.PNG')" />
							</xsl:when>
							<xsl:when test="sev='info'">
								<xsl:value-of select="concat($xsltPath, 'INFO.PNG')" />
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="concat($xsltPath, 'WARN.PNG')" />
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="width">16</xsl:attribute>
					<xsl:attribute name="height">16</xsl:attribute>
				</xsl:element>
			</td>
			<td style="text-align: right;">
				<xsl:number />
			</td>
			<td>
				<xsl:value-of select="substring-before(time, 'T')" />
				<xsl:text> </xsl:text>
				<xsl:value-of select="substring-after(time, 'T')" />
			</td>
			<td>
				<xsl:value-of select="host" />
			</td>
			<td>
				<xsl:value-of select="file" />
			</td>
			<td>
				<xsl:value-of select="uniqueId" />
			</td>
			<td>
				<xsl:value-of select="type" />
			</td>
			<td>
				<xsl:value-of select="desc" />
			</td>
			<td>
				<xsl:value-of select="context" />
			</td>
			<td>
				<xsl:value-of select="line" />
			</td>
			<td>
				<xsl:value-of select="col" />
			</td>
		</xsl:element>
	</xsl:template>
	<xsl:template match="/log">
		<html>
			<head>
				<title><!-- _locID_text="Title" _locComment="{StringCategory=TXT}" -->Microsoft Office SmartArt Graphics Log File</title>
				<style type="text/css">
					body
					{
					font-family: verdana, arial, helvetica, sans-serif;
					background: white;
					color: black;
					}
					table
					{
					border: 1px solid #95b7f3;
					}
					th
					{
					color: #003399;
					font-size: 8pt;
					font-weight:normal;
					text-align: left;
					vertical-align: middle;
					border: 0;
					}
					td
					{
					font-size: 8pt;
					text-align: left;
					vertical-align: middle;
					border: 0;
					}
				</style>
			</head>
			<body>
				<h3><!-- _locID_text="Heading" _locComment="{StringCategory=TXT}" -->Microsoft Office SmartArt Graphics Log File</h3>
				<p>
					<table border="1">
						<thead>
							<tr>
								<th></th>
								<th></th>
								<th><!-- _locID_text="DateTime" _locComment="{StringCategory=TXT}" -->Date/Time</th>
								<th><!-- _locID_text="Host" _locComment="{StringCategory=TXT}" -->Host</th>
								<th><!-- _locID_text="File" _locComment="{StringCategory=TXT}" -->File</th>
								<th><!-- _locID_text="UniqueId" _locComment="{StringCategory=TXT}" -->Unique Id</th>
								<th><!-- _locID_text="Type" _locComment="{StringCategory=TXT}" -->Type</th>
								<th><!-- _locID_text="Description" _locComment="{StringCategory=TXT}" -->Description</th>
								<th><!-- _locID_text="Context" _locComment="{StringCategory=TXT}" -->Context</th>
								<th><!-- _locID_text="Line" _locComment="{StringCategory=TXT}" -->Line</th>
								<th><!-- _locID_text="Col" _locComment="{StringCategory=TXT}" -->Col</th>
							</tr>
						</thead>
						<xsl:apply-templates select="entry">
							<xsl:sort select="time" order="descending" />
						</xsl:apply-templates>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
